"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const Vue = require("vue");
const TAB_STATUS_KEY = /* @__PURE__ */ Symbol();
const ALL_TAB_STATUS_KEY = /* @__PURE__ */ Symbol();
const useAllTabStatus = () => Vue.inject(ALL_TAB_STATUS_KEY, null);
const useProvideTabStatus = (status) => {
  const allTabStatus = useAllTabStatus();
  Vue.provide(TAB_STATUS_KEY, status);
  Vue.provide(
    ALL_TAB_STATUS_KEY,
    Vue.computed(() => {
      return (allTabStatus == null || allTabStatus.value) && status.value;
    })
  );
};
exports.ALL_TAB_STATUS_KEY = ALL_TAB_STATUS_KEY;
exports.TAB_STATUS_KEY = TAB_STATUS_KEY;
exports.useAllTabStatus = useAllTabStatus;
exports.useProvideTabStatus = useProvideTabStatus;
